Bug 1344729 - "Show graphics" option grayed out when gui_rpc_auth.cfg is set with password
Summary: "Show graphics" option grayed out when gui_rpc_auth.cfg is set with password
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: boinc-client
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Laurence Field
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-10 14:23 UTC by Kees de Jong
Modified: 2017-12-12 10:39 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:39:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Kees de Jong 2016-06-10 14:23:18 UTC
Description of problem: When a password is set in /var/lib/boinc/gui_rpc_auth.cfg and I login to the BOINC Manager with hostname 127.0.0.1 and the password which is set in gui_rpc_auth.cfg, the "Show graphics" option is grayed out in the Tasks tab. The "Show graphics" option is working when no password is set. According to other people running Linux Mint, Debian and Ubuntu it works fine when the login with 'localhost'. This does not work on my Fedora 23 system.

The upstream bugreport: https://github.com/BOINC/boinc/issues/1555


Version-Release number of selected component (if applicable):
# dnf list installed *boinc* | column -t
Last                  metadata       expiration  check:  1:44:07  ago  on  Wed  Jun  8  14:51:01  2016.
Installed             Packages
boinc-client.x86_64   7.6.22-4.fc23  @System
boinc-manager.x86_64  7.6.22-4.fc23  @System


Steps to Reproduce:
1. Set a password in /var/lib/boinc/gui_rpc_auth.cfg
2. Make sure the file is owned by the group 'boinc' and your user is added to this group
3. Start boinc-manager
4. Click File --> Select Computer
5. Enter your hostname (only 127.0.0.1 works, which is wrong already) and password from gui_rpc_auth.cfg
6. Click the tab 'Tasks' in the top and select a task, you'll notice that the 'Show graphics' button is grayed out. Without a password set, it works fine.


Additional info: The login as localhost works when you start `boincmgr` from /var/lib/boinc, or when you specify the datadir with `boincmgr -d /var/lib/boinc`. But the 'Show graphics' is still grayed out.
I'm using the Rosetta@home project: https://boinc.bakerlab.org/

# id keesj
uid=1000(keesj) gid=1000(keesj) groups=1000(keesj),36(kvm),986(libvirt),978(boinc),135(mock),1001(docker)

# id boinc
uid=984(boinc) gid=978(boinc) groups=978(boinc)

# ll -Z /var/lib/boinc/gui_rpc_auth.cfg 
-rw-r-----. 1 boinc boinc unconfined_u:object_r:boinc_var_lib_t:s0 32 Apr 27 21:16 /var/lib/boinc/gui_rpc_auth.cfg

# ll -Zd /var/lib/boinc
drwxr-xr-x. 5 boinc boinc system_u:object_r:boinc_var_lib_t:s0 4096 Jun  8 16:32 /var/lib/boinc

# semanage boolean -l | grep boinc
boinc_execmem                  (on   ,   on)  Determine whether boinc can execmem/execstack.

Comment 1 Kees de Jong 2016-06-10 14:52:26 UTC
> `boincmgr -d /var/lib/boinc`. But the 'Show graphics' is still grayed out.

This is was wrong, when using that datadir, the login works without a password prompt and the 'Show graphics' button works perfectly.

Comment 2 Fedora End Of Life 2016-11-25 09:16:02 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Kees de Jong 2016-11-25 16:26:47 UTC
This bug is still present in Fedora 25.

Comment 4 Kees de Jong 2017-04-12 09:07:57 UTC
Possible fix is being tested, there is no release with this fix yet.
More information: https://github.com/BOINC/boinc/issues/1555#issuecomment-293512778

Comment 5 Fedora End Of Life 2017-11-16 18:49:01 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-12-12 10:39:16 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.